Changes between Version 4 and Version 5 of web-app-auto-upgrade


Ignore:
Timestamp:
Sep 22, 2016, 12:31:45 PM (3 years ago)
Author:
Jamie McClelland
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • web-app-auto-upgrade

    v4 v5  
    77By using this service, you will greatly improve the protection of your web site against compromise while also incurring a very small chance that something might go wrong during the upgrade.
    88
    9 This service is currently available for Drupal and WordPress only. The automatic upgrader only performs security/minor updates.
     9This service is currently available for Drupal and WordPress only.
     10
     11The updater will not upgrade all aspects of your site:
     12
     13 * The automatic upgrader only performs security/minor updates. It does not perform an upgrade from Drupal 7 to Drupal 8, for example. Or from Wordpress 4.5 to 4.6.
     14 * It will not upgrade modules or plugins that are not maintained on the central Drupal or WordPress repositories (for example, CiviCRM is maintained separately, so it won't be upgraded via this script).
     15 * WordPress themes are not updated. Drupal themes are updated.
    1016
    1117[Note: when fully implemented, users can enable via the control panel.]
     18
    1219An admin can enable this protection by creating a directory in a sites hidden .red directory (e.g. /home/members/mayfirst/sites/mayfirst.org/.red): web-app-auto-upgrade and place one or more files in it.
    1320